CHTYP(1)

NAME
chtyp - change GS/OS file type information

SYNOPSIS
chtyp [ [ -t ftype ] [ -a atype ] ] | [ -l lang ] file...

DESCRIPTION
Set GS/OS file type information for the specified files

File types may be specified either as a number (decimal, hexadecimal with a leading 0x, or octal with a leading 0) or by a three letter abbreviation. Abbreviations are from the official File Type Notes Index.

Auxilary types may only be specified as a number (decimal, hexadecimal, or octal).

If a file type is specified with no aux type, or vice versa, only the specified parameter is changed - the other is left as is.

The language option sets the file type and aux type appropriate for a source file of the specified language. See below for a list of valid languages.

OPTIONS
The following options are available:

-t ftype
    Set the file type of the indicated files to the specified ftype. The file type may be specified as a number (in decimal, as a hexadecimal number with a leading 0x, or as an octal number with a leading 0) or by one of the official three letter abbreviations listed in the File Type Notes Index. Types set by abbreviation may not have their auxilary file types set due to the large variety of assigned auxilary types for each file type.

-a atype
    Set the auxilary file type of the indicated files to the atype specified. The auxilary type may only be specified as a number.

-l lang
    Set the file type and auxilary file type to that of a source file of the selected lang. The -l flag may not be used with the -t or -a flags.

    Valid language types are: APWTXT, ASM, PASCAL, EXEC, CC, LINKER, DESKTOP, REZ, TMLPASCAL, DISASM, SDEASM, SDECMD, PS.

HISTORY
chtyp was originally written by Greg Thompson. Jawaid Bazyar rewrote it later for GNO/ME, and it has since been rewritten from scratch for GNO/ME v2.0.6 by Evan Day <day@engr.orst.edu>.